#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,a;
    scanf("%d %d",&n,&a);
    if(n/a<3)
    {
        printf("-1");
        return 0;
    }
    if(n%2==1 && a==2)
      {
        printf("-1");
        return 0;
      }
    int p,d;
    p=a;
    d=0;
    n=n-3*a;
    int cj=0;
    if(n<a)
    {
        if(n==a-1)
        {
            cj=1;
            d=a-2;
        }else
        {
            d=n;
        }
    }else
    {
        n=n-a;
        if(n%2==1)
        {
            cj=1;
            n=n-1;

        }
     d=a;

     d=d+n/2;
     p=p+n/2;
     p=d+1;
     d=d-1;
    }
    printf("%d 0 \n",a);
    printf("%d %d \n",a,cj);
    printf("%d %d \n",p,d);
    return 0;
}